import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { c as cls } from './helpers.js';
import { d as defineCustomElement$2 } from './component.js';

const XSegmentItem$1 = /*@__PURE__*/ proxyCustomElement(class XSegmentItem extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.value = undefined;
        this.icon = undefined;
        this.active = false;
    }
    /**
     * Render element
     */
    render() {
        return h(Host, { key: '48707fb4d3f6b862b15340f3c9bc1920a1ee913b', class: cls({ 'active': this.active }) }, this.icon && h("x-icon", { key: '81b8c16ce9118607e47bf079adc0abcb7f788176', name: this.icon }), h("span", { key: '70dc8da069fdd8ef517c651aff014b80f9a0f434' }, h("slot", { key: '3602d8ab9239208e1d848a1d85b4c500da6361cf' })));
    }
    get el() { return this; }
}, [4, "x-segment-item", {
        "value": [1],
        "icon": [1],
        "active": [4]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["x-segment-item", "x-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "x-segment-item":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, XSegmentItem$1);
            }
            break;
        case "x-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const XSegmentItem = XSegmentItem$1;
const defineCustomElement = defineCustomElement$1;

export { XSegmentItem, defineCustomElement };
